Subject: RE: bug#22564: Fundamental mode isn't fundamental enough.

From: Drew Adams <[email-masked]>
Date: Fri, 5 Feb 2016 11:59:23 -0800 (PST)

> >> electric-indent-mode is the only electric-*-mode on by default, and I
> >> never understood why it was enabled. Up until bracketed paste was
> >> implemented, this issue of indenting pastes had been an annoyance (only
> >> later on did I realize to disable this electric mode).
> >
> > I agree.  I disabled it as soon as I encountered it, but I disagree
> > that users should be subjected to it by default.  Especially in
> > Fundamental mode.
> 
> +1.  Fundamental mode should be Notepad-like as much as possible IMHO.
> (Incidentally, I almost never use Fundamental mode, exactly because of
> that.)

Fundamental mode is not really supposed to be used by users
interactively, AFAIK.  It should not even have the functionality
of Notepad.  It is used as an empty inheritance point for other
modes.  It is the "bottom" of modes. ;-)